EDIT - bug #8552

Avoid DB call for matrix state DB preferences
09/18/2019 02:22 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.14

Severity: normal Found in Version:

Description

Copied from #8335:

looks fine, but if you want to avoid a db call, you can use CdmPreferenceCache.instance().get(PrefKey key)
instead of PreferencesUtil.getPreferenceFromDB(PreferencePredicate predicate).

Associated revisions

Revision 720c82fe - 03/11/2020 01:28 PM - Katja Luther

fix #8552: use preference cache for loading character matrix settings

History

#1 - 09/18/2019 02:22 PM - Patrick Plitzner
- Tags set to additivity

#2 - 11/05/2019 01:22 PM - Patrick Plitzner

- Target version changed from Release 5.11 to Release 5.12

#3 - 12/17/2019 03:56 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

#4 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#5 - 03/10/2020 10:17 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#6 - 03/11/2020 01:28 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|720c82fe2d53187c2149a7fad4081e6d639bciag.

#7 - 04/08/2020 02:00 PM - Katja Luther

- Status changed from Resolved to Closed
